package eclipselinktest;

import javax.persistence.AttributeConverter;


public abstract class BaseConverter<X> implements AttributeConverter<X, String>{

	@Override
	public String convertToDatabaseColumn(X attribute) {
		return attribute.toString();
	}

	@SuppressWarnings("unchecked")
	@Override
	public X convertToEntityAttribute(String dbData) {
		return (X)new Record(dbData);
	}

}
